/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ============================================================================
 *   File    util.c
 *
 *   Path    $(TESTSUITEROOT)\OSAL
 * 
 *   Desc:
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *!   ============================================================================
 *!   Revision History
 *!
 *!   NOV xx, 2002    REF=ORG             Raghu
 *!      Original Version.
 *!   ============================================================================
 */

#include <testosal.h>

int OsSpecificSetThreadPriority(THANDLE ThreadForWhichPiorityIstoBeSet, int priority)
{
#ifndef __KERNEL__
	int returnstatus;
	struct sched_param parameter;
	parameter.__sched_priority = priority;
	returnstatus = pthread_setschedparam((pthread_t)ThreadForWhichPiorityIstoBeSet, SCHED_RR, &parameter);
	if(returnstatus == 0)
		return RETSUCCESS;
	else
		return RETFAILURE;
#endif
}	

int OsSpeicificQueryFrequency(DWORD *dwTicksPerSecond)
{
	*dwTicksPerSecond = 100;
	return 0;
}
	
