/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ============================================================================
 *   File    testcsl.h
 *
 *   Path    $(TESTSUITEROOT)\OSAL\include
 * 
 *   Desc:
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *!   ============================================================================
 *!   Revision History
 *!
 *!   NOV xx, 2002    REF=ORG             Raghu
 *!      Original Version.
 *!   ============================================================================
 */

DWORD CSL_Strlen(IN CONST PSTR );
ULONG CSL_AnsiToWchar(OUT WCHAR *pwszDest, IN PSTR pstrSource, IN ULONG uSize);
INT CSL_Atoi(IN CONST CHAR *ptstrSrc);
VOID CSL_ByteSwap(IN PSTR pstrSrc, OUT PSTR pstrDest, IN ULONG ulBytes);
void CSL_Exit();
BOOL CSL_Init();
VOID CSL_NumToAscii(OUT PSTR pstrNumber, DWORD dwNum);
LONG CSL_Strcmp(IN CONST PSTR pstrStr1, IN CONST PSTR pstrStr2);
PSTR CSL_Strcpyn(OUT PSTR pstrDest, IN CONST PSTR pstrSrc, DWORD cMax);
DWORD CSL_Strlen(IN CONST PSTR pstrSrc);
PSTR CSL_Strncat(IN PSTR pszDest, IN PSTR pszSrc, IN DWORD dwSize);
LONG CSL_Strncmp(IN CONST PSTR pstrStr1, IN CONST PSTR pstrStr2, DWORD n);
CHAR * CSL_Strtok(IN CHAR *ptstrSrc, IN CONST CHAR *szSeparators);
ULONG CSL_WcharToAnsi(OUT PSTR pstrDest,IN WCHAR *pwszSource, ULONG uSize);
DWORD CSL_Wstrlen(IN CONST TCHAR *ptstrSrc);

