/*  ============================================================================
 *   File    IVADSPNodeTST.h
 *
 *   Path    $(TESTSUITEROOT)\TestIVAAPI\ivaapitst\IVADSPNodeTST.h
 * 
 *   Desc:
 *           Header file for DSPNode_ API test case related functions.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL xx, 2002    REF=ORG             Swamy MC
 *   AUG 05, 2004    REF=Based on DSP API tests             Ramesh Gupta G
 *      Original Version.
 *   ============================================================================
 */

/*
 *  ======= DSPNode_Allocate_API ========
 *
 */
INT IVADSPNode_Allocate_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Connect_API ========
 *
 */
INT IVADSPNode_Connect_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Create_API ========
 *
 */
INT IVADSPNode_Create_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Run_API ========
 *
 */
INT IVADSPNode_Run_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_GetMessage_API ========
 *
 */
INT IVADSPNode_GetMessage_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_PutMessage_API ========
 *
 */
INT IVADSPNode_PutMessage_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_AllocMsgBuf_API ========
 *
 */
INT IVADSPNode_AllocMsgBuf_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_FreeMsgBuf_API ========
 *
 */
INT IVADSPNode_FreeMsgBuf_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Pause_API ========
 *
 */
INT IVADSPNode_Pause_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Terminate_API ========
 *
 */
INT IVADSPNode_Terminate_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_Delete_API ========
 *
 */
INT IVADSPNode_Delete_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_GetAttr_API ========
 *
 */
INT IVADSPNode_GetAttr_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_ChangePriority_API ========
 *
 */
INT IVADSPNode_ChangePriority_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_RegisterNotify_API ========
 *
 */
INT IVADSPNode_RegisterNotify_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPNode_AllocMsgBuf1_API ========
 *
 */
INT IVADSPNode_AllocMsgBuf1_API(INT argc, CHAR *argv[], INT iRunTime);



